Forum Stats

  • 3,826,612 Users
  • 2,260,677 Discussions
  • 7,897,031 Comments

Discussions

HELP - Compile PHP4.3.1 in (RedHat8) = for connect in Oracle9i(Windows2000)

401377
401377 Member Posts: 1
edited Sep 3, 2003 12:53PM in PHP
Hi,

I´m install PHP4.3.1 in RedHat8.0 for connect in Oracle9i on Windows2000

export ORACLE_HOME = ??????
checking Oracle Install-Dir
checking Oracle version... configure: error: Oracle-OCI8 needed libraries not found

# ./configure enable-track-vars enable-trans-sid with-mysql with-oci8 --with-apxs=/usr/local/apache/bin/apxs

Please Send for [email protected], tank´s...
Sorry my english...

Luiz Escobar - from BRASIL

Comments

  • 3039
    3039 Member Posts: 841
    You need to install at a minimum the Oracle Client piece from the Linux Database CD pack.

    The location whrere you install it will be what you need to set your ORACLE_HOME to point to.

    Hope this helps,

    Rob
  • 402050
    402050 Member Posts: 5
    Hi luiz:

    You need a OCI Client libary installed in linux to compile PHP with this library. Or the second option it's install an rpm version made for another guy.
    You can visit http://rpms.arvin.dk/php/rh72/i686/
    an see a example. The rpm that you need it's

    php-oci8

    But it's only for a redhat 7.2,7.3

    I don't know if it working in your linux 8 server.
    If not work you can find in your Oracle cd instalation a client and install in your linux server.
    After that compile PHP.
  • 3039
    3039 Member Posts: 841
    Check out my short install doc for PHP on Linux at http://otn.oracle.com/tech/opensource/php/apache/inst_php_apache_linux.html

    Rob
This discussion has been closed.